ConnectorService (Mule ESB 2.2.1 API)
Keywords: org.mule.module.management.mbean.ConnectorService class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.management.mbean
Class ConnectorService

    java.lang.Object
      org.mule.module.management.mbean.ConnectorService

All Implemented Interfaces:
  Initialisable, ConnectorServiceMBean

    public class ConnectorService

extends Object
implements ConnectorServiceMBean

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`ConnectorService(Connector connector)`

Method Summary
`void` | `dispose()`
`ExceptionListener` | `getExceptionListener()`
`String` | `getName()`
`String` | `getProtocol()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isDisposed()`
`boolean` | `isStarted()`
`void` | `startConnector()`
`void` | `stopConnector()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectorService

    public ConnectorService(Connector connector)

Method Detail

### isStarted

    public boolean isStarted()

  Specified by:
    `isStarted` in interface `ConnectorServiceMBean`

### isDisposed

    public boolean isDisposed()

  Specified by:
    `isDisposed` in interface `ConnectorServiceMBean`

### getName

    public String getName()

  Specified by:
    `getName` in interface `ConnectorServiceMBean`

### getProtocol

    public String getProtocol()

  Specified by:
    `getProtocol` in interface `ConnectorServiceMBean`

### getExceptionListener

    public ExceptionListener getExceptionListener()

  Specified by:
    `getExceptionListener` in interface `ConnectorServiceMBean`

### startConnector

    public void startConnector()
                        throws MuleException

  Specified by:
    `startConnector` in interface `ConnectorServiceMBean`
  Throws:
    `MuleException`

### stopConnector

    public void stopConnector()
                       throws MuleException

  Specified by:
    `stopConnector` in interface `ConnectorServiceMBean`
  Throws:
    `MuleException`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `ConnectorServiceMBean`

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.